.\"	$NetBSD: signbit.3,v 1.2 2004/01/15 20:31:40 wiz Exp $
.\"
.\" Copyright (c) 2003 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Klaus Klein.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd October 29, 2003
.Dt SIGNBIT 3
.Os
.Sh NAME
.Nm signbit
.Nd test sign
.Sh LIBRARY
.Lb libc
.Sh SYNOPSIS
.In math.h
.Ft int
.Fn signbit "real-floating x"
.Sh DESCRIPTION
The
.Fn signbit
macro determines whether the sign of its argument value
.Fa x
is negative.
An argument represented in a format wider than its semantic type is
converted to its semantic type first.
The determination is then based on the type of the argument.
.Ss IEEE754
The sign is determined for all values, including infinities, zeroes,
and NaNs
.Ss VAX
The sign is determined for finites, true zeros, and dirty zeroes;
for ROPs the sign is reported negative.
.Sh RETURN VALUES
The
.Fn signbit
macro returns a non-zero value if the sign of its value
.Fa x
is negative.
Otherwise 0 is returned.
.Sh ERRORS
No errors are defined.
.Sh SEE ALSO
.Xr fpclassify 3 ,
.Xr isfinite 3 ,
.Xr isnormal 3 ,
.Xr math 3
.Sh STANDARDS
The
.Fn signbit
macro conforms to
.St -isoC-99 .
